# reminders.plugin.zsh

# Show reminders (once every 60 minutes)
if [ -z `find ~/.last_reminder -mmin -60 2>/dev/null` ]; then
	if [ "$(type icalBuddy 2>/dev/null)" -a "$LOGNAME" != "root" ]; then
		# icalBuddy(1)
		case "$LANG" in
			*.UTF*)	bul="•"; bul_imp="!"; sep="»"; ;;
			*)	bul="*"; bul_imp="!"; sep=">"; ;;
		esac
		icalBuddy -f -n -b " $bul " -ab " $bul_imp " -ps "/ $sep /" \
			-nc -npn -iep "title,due" -stda \
			tasksDueBefore:today 2>/dev/null
		icalBuddy -f -n -b " $bul " -ab " $bul_imp " -ps "/ $sep /" \
			-nc -npn -iep "title,datetime" \
			eventsToday+1 2>/dev/null
		[ $? -eq 0 ] && echo
		unset bul bul_imp sep
		[ -w ~/ ] && touch ~/.last_reminder
	elif [ "$(type remind 2>/dev/null)" -a -r ~/.remind ]; then
		# remind(1)
		remind -h -g -t5 ~/.remind | \
			grep -v '^Reminders for ' | grep -v '^$'
		[ $? -eq 0 ] && echo
		[ -w ~/ ] && touch ~/.last_reminder
	fi
fi
